Public Class WizardForm1

    Private Sub CustomersBO1_ParentFormLoading() Handles CustomersBO1.ParentFormLoading
        Me.CustomersBO1.FillTop100()
    End Sub


    Private Sub WizardPage3_NextClicked(ByVal e As MicroFour.StrataFrame.UI.Windows.Forms.NextBackEventArgs) Handles WizardPage3.NextClicked
        If Not Me.CustomersBO1.CheckRulesOnRow(True) Then
            e.CancelNavigation = True
        End If

        'If Me.RadioButtonGroup1.Value = 1 Then
        '    e.NextPageToLoad = Me.PageReview
        'Else
        '    e.NextPageToLoad = Me.PageSomethingElse
        'End If
    End Sub

    Private Sub PageSomethingElse_PageActivated(ByVal e As MicroFour.StrataFrame.UI.Windows.Forms.PageEventArgs) Handles PageSomethingElse.PageActivated
        Me.ProgressIndicator1.SetItemStatus("Review", MicroFour.StrataFrame.UI.ProgressIndicatorItemStatus.InError)
        Me.ProgressIndicator1.SetItemStatus("CustomerInfo", MicroFour.StrataFrame.UI.ProgressIndicatorItemStatus.Completed)
    End Sub

    Private Sub WizardControl1_FinishClicked() Handles WizardControl1.FinishClicked
        If Me.WizardControl1.CurrentPage Is Me.PageReview Then
            MsgBox("Finish Review")
        ElseIf Me.WizardControl1.CurrentPage Is Me.PageSomethingElse Then
            MsgBox("Finish Something Else")
        End If

        Me.WizardControl1.SetNavigationButtonStatus(MicroFour.StrataFrame.UI.WizardNavigationButtons.Cancel, MicroFour.StrataFrame.UI.WizardNavigationButtonStatus.Disabled)

        Me.WizardControl1.ShowBackButton = False
        Me.WizardControl1.ShowNextButton = False

        Me.WizardControl1.CancelButtonSettings.ButtonText = "Close"
    End Sub

    Private Sub WizardControl1_NextClicked(ByVal e As MicroFour.StrataFrame.UI.Windows.Forms.NextBackEventArgs)

    End Sub
End Class
